<ion-header [translucent]="true">
    <ion-toolbar>
        <ion-title>
            Einstellungen
        </ion-title>
    </ion-toolbar>
</ion-header>
<ion-content [fullscreen]="false">
    <ion-header collapse="condense">
        <ion-toolbar>
            <ion-title size="large">Einstellungen</ion-title>
        </ion-toolbar>
    </ion-header>

    <ion-list *ngIf="settingsService.loadSettingsFromStorage">
        <ion-list-header>Ortung</ion-list-header>
        <ion-item>
            <ion-label>Ortung</ion-label>
            <ion-toggle slot="start" name="tracking" color="success"
                        (ionChange)="settingsService.tracking = $event.detail.checked"
                        [checked]="settingsService.tracking" [(ngModel)]="settingsService.tracking"
                        (click)="settingsService.tracking ? mapService.markerService.liveTracker = false : mapService.resizeMap()"></ion-toggle>
        </ion-item>
        <ion-item>
            <ion-label>Echtzeit-Ortung</ion-label>
            <ion-toggle slot="start" name="liveTracking" color="success"
                        [disabled]="!settingsService.tracking"
                        (ionChange)="settingsService.liveTracking = $event.detail.checked"
                        [checked]="settingsService.liveTracking"
                        [(ngModel)]="settingsService.liveTracking"></ion-toggle>
        </ion-item>

    </ion-list>
    <ion-list *ngIf="settingsService.loadSettingsFromStorage">
        <ion-list-header>Filter</ion-list-header>

        <ion-item>
            <ion-label>Marker Anzeigen</ion-label>
            <ion-toggle slot="start" name="markerShow" color="success"
                        (ionChange)="mapService.settingsService.showMarker = $event.detail.checked"
                        [checked]="mapService.settingsService.showMarker"
                        [(ngModel)]="mapService.settingsService.showMarker"></ion-toggle>
        </ion-item>
        <ion-item>
            <ion-label>Linie Anzeigen</ion-label>
            <ion-toggle slot="start" name="lineShow" color="success"
                        (ionChange)="mapService.settingsService.showPolyline = $event.detail.checked"
                        [checked]="mapService.settingsService.showPolyline"
                        [(ngModel)]="mapService.settingsService.showPolyline"></ion-toggle>
        </ion-item>
        <!--        <ion-item (click)="mapService.polylineService.deleteLine()" href="javascript:void(0);">-->
        <!--            <ion-icon color="danger" name="trash-outline" slot="start"></ion-icon>-->
        <!--            <ion-label>Linie Zurücksetzen</ion-label>-->
        <!--        </ion-item>-->
    </ion-list>
    <ion-list *ngIf="settingsService.loadSettingsFromStorage">
        <ion-list-header>System</ion-list-header>
        <ion-item>
            <ion-label [color]="settingsService.saveBatteryOnBackground ? 'medium' : 'black'">Hintergrundaktualisierung</ion-label>
            <ion-toggle slot="start" name="hintergrundaktualisierung" color="success"
                        (ionChange)="settingsService.backgroundUpdate = $event.detail.checked"
                        [checked]="settingsService.backgroundUpdate"
                        (click)="!settingsService.backgroundUpdate ? settingsService.saveBatteryOnBackground = false : null"
                        [disabled]=""></ion-toggle>
        </ion-item>
        <ion-item>
            <ion-label>Energiesparmodus</ion-label>
            <ion-toggle slot="start" name="saveBatteryOnBackground" color="success"
                        (ionChange)="saveBatteryOnBackgroundReally($event.detail.checked)"
                        [checked]="settingsService.saveBatteryOnBackground"
                        [(ngModel)]="settingsService.saveBatteryOnBackground"></ion-toggle>
        </ion-item>

    </ion-list>


</ion-content>
